
D4Science Infrastructure - Incident #9396

WP6 AquaFarm VREs: Error during new site setup

Jul 25, 2017 03:35 PM - Massimiliano Assante

Status: Closed Start date: Jul 25, 2017

Priority: Urgent Due date: Jul 25, 2017

Assignee: Roberto Cirillo % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

If i try to create a new Site in any of the WP6 AquaFarm VREs an error occurs, see screenshots attached

History

#1 - Jul 25, 2017 03:39 PM - Massimiliano Assante

from the stack trace it seems (just an educated guess) it does not find a service endpoint named 'Google API Keys' @roberto.cirillo@isti.cnr.it have

we set it up?

return <accesspoint><id>{$entry0ValueAuth/../ID/text()}</id>{$entry0ValueAuth/../Profile/AccessPoint}</accessp

oint>

2017-07-25 13:36:33,927 INFO  icclient.ICClient [http-bio-9090-exec-47,callService:65] %[PORTAL] 357113993 [ht

tp-bio-9090-exec-47] INFO  org.gcube.resources.discovery.icclient.ICClient  - executed query declare namespace

 ic = 'http://gcube-system.org/namespaces/informationsystem/registry'; for $resource in collection('/db/Profil

es/RuntimeResource')//Document/Data/ic:Profile/Resource where ($resource/Profile/Name/text() eq 'Google API Ke

ys') return <accesspoint><id>{$resource/ID/text()}</id>{$resource/Profile/AccessPoint}</accesspoint> in 47 ms

2017-07-25 13:36:33,928 ERROR portlet.SitePortlet [http-bio-9090-exec-47,render:139] %java.lang.NullPointerExc

eption

    at org.gcube.portlets.user.simulfishgrowth.portlet.BasePortlet.getGoogleKey(BasePortlet.java:81)

    at org.gcube.portlets.user.simulfishgrowth.portlet.SitePortlet.render(SitePortlet.java:129)

    at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:103)

    at com.liferay.portlet.ScriptDataPortletFilter.doFilter(ScriptDataPortletFilter.java:55)

    at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:100)

    at com.liferay.portal.kernel.portlet.PortletFilterUtil.doFilter(PortletFilterUtil.java:64)

    at com.liferay.portal.kernel.servlet.PortletServlet.service(PortletServlet.java:112)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:1

16)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:604)

    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:543)

    at com.liferay.portlet.InvokerPortletImpl.invoke(InvokerPortletImpl.java:583)

    at com.liferay.portlet.InvokerPortletImpl.invokeRender(InvokerPortletImpl.java:656)

    at com.liferay.portlet.InvokerPortletImpl.render(InvokerPortletImpl.java:362)

    at org.apache.jsp.html.portal.render_005fportlet_jsp._jspService(render_005fportlet_jsp.java:1239)

    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at com.liferay.portal.servlet.DirectRequestDispatcher.include(DirectRequestDispatcher.java:57)

    at com.liferay.portal.servlet.ClassLoaderRequestDispatcherWrapper.doDispatch(ClassLoaderRequestDispatcherW

rapper.java:78)

    at com.liferay.portal.servlet.ClassLoaderRequestDispatcherWrapper.include(ClassLoaderRequestDispatcherWrap

per.java:53)

    at com.liferay.portlet.PortletContainerImpl._doRender(PortletContainerImpl.java:638)

    at com.liferay.portlet.PortletContainerImpl.render(PortletContainerImpl.java:135)

    at com.liferay.portlet.SecurityPortletContainerWrapper.render(SecurityPortletContainerWrapper.java:141)

    at com.liferay.portlet.RestrictPortletContainerWrapper.render(RestrictPortletContainerWrapper.java:126)

    at com.liferay.portal.kernel.portlet.PortletContainerUtil.render(PortletContainerUtil.java:156)

    at com.liferay.portal.layoutconfiguration.util.PortletRenderer._render(PortletRenderer.java:125)

    at com.liferay.portal.layoutconfiguration.util.PortletRenderer.render(PortletRenderer.java:72)

    at com.liferay.portal.layoutconfiguration.util.RuntimePageImpl.doProcessTemplate(RuntimePageImpl.java:452)

    at com.liferay.portal.layoutconfiguration.util.RuntimePageImpl.doDispatch(RuntimePageImpl.java:284)

    at com.liferay.portal.layoutconfiguration.util.RuntimePageImpl.processTemplate(RuntimePageImpl.java:113)
    at com.liferay.portal.layoutconfiguration.util.RuntimePageImpl.processTemplate(RuntimePageImpl.java:124)

    at com.liferay.portal.layoutconfiguration.util.RuntimePageUtil.processTemplate(RuntimePageUtil.java:69)

    at org.apache.jsp.html.portal.layout.view.portlet_jsp._jspService(portlet_jsp.java:557)

    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:439)

    at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:395)

    at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:339)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilterChain.java:1

16)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

    at org.apache.catalina.core.ApplicationDispatcher.doInclude(ApplicationDispatcher.java:604)

    at org.apache.catalina.core.ApplicationDispatcher.include(ApplicationDispatcher.java:543)

    at com.liferay.portal.action.LayoutAction.includeLayoutContent(LayoutAction.java:302)

    at com.liferay.portal.action.LayoutAction.processLayout(LayoutAction.java:413)

    at com.liferay.portal.action.LayoutAction.doExecute(LayoutAction.java:200)

    at com.liferay.portal.action.LayoutAction.execute(LayoutAction.java:95)

    at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)

    at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:236)

    at com.liferay.portal.struts.PortalRequestProcessor.process(PortalRequestProcessor.java:168)

    at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)

    at org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:624)

    at com.liferay.portal.servlet.MainServlet.callParentService(MainServlet.java:557)

    at com.liferay.portal.servlet.MainServlet.service(MainServlet.java:534)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

#2 - Jul 25, 2017 03:44 PM - Massimiliano Assante

- Assignee changed from Gerasimos Antzoulatos to Roberto Cirillo

Nope, we don't have such endpoint in the production infrastructure, I'm reassigning the ticket to Roberto. We should have had this endpoint available

when we upgraded to 4.6.1 as it exists in pre production.

#3 - Jul 25, 2017 04:42 PM - Roberto Cirillo

- Status changed from New to In Progress

#4 - Jul 25, 2017 05:26 PM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Enabled on all the Blue Economy VREs.

Files
